summaryrefslogtreecommitdiffstats
path: root/package
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2007-04-29 16:57:55 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2007-04-29 16:57:55 +0000
commit2064758dc2d60183712577efa8b013b72fa0adb4 (patch)
tree4ce3c671e36f874fe24e8cbebe9dc7b88d3c2a6d /package
parentbca7ac77bf1981587e65d397ab25a7a6f3cc35ad (diff)
create /dev/root on boot - fixes cf2nand on rb532
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@7066 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package')
-rwxr-xr-xpackage/base-files/files/etc/init.d/boot6
1 files changed, 6 insertions, 0 deletions
diff --git a/package/base-files/files/etc/init.d/boot b/package/base-files/files/etc/init.d/boot
index 885031182..3461eab2f 100755
--- a/package/base-files/files/etc/init.d/boot
+++ b/package/base-files/files/etc/init.d/boot
@@ -35,5 +35,11 @@ start() {
/sbin/hotplug2 --persistent --max-children 5 &
echo /sbin/hotplug-call > /proc/sys/kernel/hotplug
+ # create /dev/root if it doesn't exist
+ [ -e /dev/root ] || {
+ rootdev=$(awk 'BEGIN { RS=" "; FS="="; } $1 == "root" { print $2 }' < /proc/cmdline)
+ [ -n "$rootdev" ] && ln -s "$rootdev" /dev/root
+ }
+
load_modules /etc/modules.d/*
}